Package be.vlaanderen.mercurius.insurability.schemas.v1

# Class WZCMHDF001DetermineInsurabilityResponse

java.lang.Object
be.vlaanderen.mercurius.insurability.schemas.v1.WZCMHDF001DetermineInsurabilityResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class WZCMHDF001DetermineInsurabilityResponse extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <sequence>
               <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}MessageMetadataType"/>
               <element name="Person" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}PersonType"/>
               <element name="ResultInsurancePeriodList" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}ResultInsurancePeriodListType"/>
             </sequence>
             <element name="ErrorList" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}ErrorListType" minOccurs="0"/>
             <element name="NotificationList" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}NotificationListType" minOccurs="0"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WZCMHDF001DetermineInsurabilityResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorListType`
  `getErrorList()`
  List van fouten
  `MessageMetadataType`
  `getMessageMetadata()`
  Tracing informatie
  `NotificationListType`
  `getNotificationList()`
  List van meldingen
  `PersonType`
  `getPerson()`
  Gegevens over de persoon waarvoor de VSB-verzekerbaarheid wordt afgetoetst
  `ResultInsurancePeriodListType`
  `getResultInsurancePeriodList()`
  Opsplitsing van het antwoord over verschillende jaren (indien van toepassing).
  `void`
  `setErrorList(ErrorListType value)`
  Sets the value of the errorList property.
  `void`
  `setMessageMetadata(MessageMetadataType value)`
  Sets the value of the messageMetadata property.
  `void`
  `setNotificationList(NotificationListType value)`
  Sets the value of the notificationList property.
  `void`
  `setPerson(PersonType value)`
  Sets the value of the person property.
  `void`
  `setResultInsurancePeriodList(ResultInsurancePeriodListType value)`
  Sets the value of the resultInsurancePeriodList property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WZCMHDF001DetermineInsurabilityResponse

    public WZCMHDF001DetermineInsurabilityResponse()

- ## Method Details

  - ### getNotificationList

    public NotificationListType getNotificationList()
    List van meldingen
    Returns:
      possible object is `NotificationListType`

  - ### setNotificationList

    public void setNotificationList(NotificationListType value)
    Sets the value of the notificationList property.
    Parameters:
      `value` - allowed object is `NotificationListType`
    See Also:
      - `getNotificationList()`

  - ### getErrorList

    public ErrorListType getErrorList()
    List van fouten
    Returns:
      possible object is `ErrorListType`

  - ### setErrorList

    public void setErrorList(ErrorListType value)
    Sets the value of the errorList property.
    Parameters:
      `value` - allowed object is `ErrorListType`
    See Also:
      - `getErrorList()`

  - ### getMessageMetadata

    public MessageMetadataType getMessageMetadata()
    Tracing informatie
    Returns:
      possible object is `MessageMetadataType`

  - ### setMessageMetadata

    public void setMessageMetadata(MessageMetadataType value)
    Sets the value of the messageMetadata property.
    Parameters:
      `value` - allowed object is `MessageMetadataType`
    See Also:
      - `getMessageMetadata()`

  - ### getPerson

    public PersonType getPerson()
    Gegevens over de persoon waarvoor de VSB-verzekerbaarheid wordt afgetoetst
    Returns:
      possible object is `PersonType`

  - ### setPerson

    public void setPerson(PersonType value)
    Sets the value of the person property.
    Parameters:
      `value` - allowed object is `PersonType`
    See Also:
      - `getPerson()`

  - ### getResultInsurancePeriodList

    public ResultInsurancePeriodListType getResultInsurancePeriodList()
    Opsplitsing van het antwoord over verschillende jaren (indien van toepassing). Voor elk jaar wordt vermeld of de de persoon voor dat jaar VSB-verzekerd is of niet in het kader van de gevraagde pijler.
    Returns:
      possible object is `ResultInsurancePeriodListType`

  - ### setResultInsurancePeriodList

    public void setResultInsurancePeriodList(ResultInsurancePeriodListType value)
    Sets the value of the resultInsurancePeriodList property.
    Parameters:
      `value` - allowed object is `ResultInsurancePeriodListType`
    See Also:
      - `getResultInsurancePeriodList()`